<div class="container-fluid" xmlns="http://www.w3.org/1999/html">
  <div class="row">
    <table class="table table-striped table-hover " style="margin: auto;" *ngIf="!isAuth">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Date</th>
          <th scope="col">Bénéficiaire</th>
          <th scope="col">Donneur d'ordre</th>
          <th scope="col">Montant</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let transfer of transfers; let i = index">
          <th scope="row"><a (click)="onRedirect(transfer.beneficiary)">{{ transfer.id }}</a></th>
          <td>{{ transfer.date | date:'dd-MM-yyyy H:mm' }}</td> <!--  date: 'yyyy-MM-dd' -> to convert timestamp in date -->
          <td>{{ transfer.beneficiary }}</td>
          <td>{{ transfer.orderingAccount }}</td>
          <td>{{ transfer.amount }}</td>
        </tr>
      </tbody>
    </table>
    <table class="table table-striped table-hover " style="margin: auto;" *ngIf="isAuth">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Date</th>
        <th scope="col">Bénéficiaire</th>
        <th scope="col">Donneur d'ordre</th>
        <th scope="col">Montant</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let transfer of transfersUser; let i = index">
        <th scope="row"><a (click)="onRedirect(transfer.beneficiary)">{{ transfer.id }}</a></th>
        <td>{{ transfer.date }}</td>
        <td>{{ transfer.beneficiary }}</td>
        <td>{{ transfer.orderingAccount }}</td>
        <td>{{ transfer.amount }}</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>
